/*
 * @(#)Person.java  2.0  14 February 2003
 */

/**
 * <P>This class represents basic information about one person.</P>
 */
public class Person {

    /** Last name of the person. */
    public String last = null;
    
    /** First name of the person. */
    public String first = null;
    
    /** Person's year of birth. */
    public int dob;
    
    /*------------------------------
     Constructor 
     -----------------------------*/
    public Person(String aLast, String aFirst, int aDob) {

        last  = aLast;
        first = aFirst;
        dob   = aDob;
    }
    
    /*--------------------------------------------------------
     Method to print the member data.
     -------------------------------------------------------*/
    
    public String toString(){
        return  ("new " + this.getClass().getName() + "("
                + last  + ", "
                + first + ", "
                + dob   + ")");
    }
}

